Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class CompilationUnit.PrimaryClassNodeOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

    public static abstract class CompilationUnit.PrimaryClassNodeOperation

An callback interface for use in the applyToSourceUnits loop driver.

Method Summary
`void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
`boolean` | `needSortedInput()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### call

    public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

### needSortedInput

    public boolean needSortedInput()

Copyright © 2003-2010 The Codehaus. All rights reserved.